Bug 109217 - clock management is disabled for the 4K resolution with polaris 10
Summary: clock management is disabled for the 4K resolution with polaris 10
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-03 17:42 UTC by fin4478
Modified: 2019-01-22 03:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Simple python app for monitoring and changing the engine clock (4.42 KB, text/x-python)
2019-01-03 17:42 UTC, fin4478
no flags Details
5.0-rc1 dmesg (65.76 KB, text/plain)
2019-01-08 13:29 UTC, fin4478
no flags Details
Xorg log (66.00 KB, text/plain)
2019-01-08 13:30 UTC, fin4478
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fin4478 2019-01-03 17:42:53 UTC
Created attachment 142962 [details]
Simple python app for monitoring and changing the engine clock

When the Xfce desktop is visible at 4K and idling, the engine clock is fixed at level 6: 1220MHz and you can not change that. The temperature is 38 C. The automatic power management works with 2560x1600 and lower resolutions. I tested with my python app and I have latest drivers, including firmware files. My monitor is ASUS VP28UQG and I use the display port.

Adding amdgpu.ppfeaturemask=0xffffffff to the kernel command line makes the powerplay feature to work normally at 4K.

System:
  Host: ryzenpc Kernel: 4.20.0-rc4+ x86_64 bits: 64 Desktop: Xfce 4.12.4 
  Distro: Debian GNU/Linux buster/sid 
Machine:
  Type: Desktop Mobo: ASUSTeK model: PRIME B350M-K v: Rev X.0x 
  serial: <root required> UEFI [Legacy]: American Megatrends v: 4207 
  date: 12/07/2018 
CPU:
  6-Core: AMD Ryzen 5 1600 type: MT MCP speed: 3132 MHz 
Graphics:
  Device-1: AMD Ellesmere [Radeon RX 470/480] driver: amdgpu v: kernel 
  Display: x11 server: X.Org 1.20.3 driver: amdgpu 
  resolution: 3840x2160~60Hz 
  OpenGL: renderer: Radeon RX 570 Series (POLARIS10 DRM 3.27.0 4.20.0-rc4+ 
  LLVM 7.0.1) 
  v: 4.5 Mesa 19.0.0-devel (git-70be9af 2019-01-02 cosmic-oibaf-ppa)
Comment 1 fin4478 2019-01-06 14:32:18 UTC
It is the PP_OVERDRIVE_MASK bit that fixes this bug. AMD developers,  use find in files for "od_enabled" and review the code in polaris 10 related files.
Comment 2 fin4478 2019-01-08 13:29:20 UTC
Created attachment 143009 [details]
5.0-rc1 dmesg

This bug is present in the 5.0-rc1 kernel too.
Comment 3 fin4478 2019-01-08 13:30:15 UTC
Created attachment 143010 [details]
Xorg log

This bug is present in the 5.0-rc1 kernel too.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.